/*
 * terminal.h
 *
 *  Created on: Feb 26, 2023
 *  Author: Daniel Peter Chokola
 */

#ifndef TERMINAL_H_
#define TERMINAL_H_

/* Includes */
#include <stdint.h>
#include "usbd_cdc_if.h"

/* Definitions */
#define TERM_RXBUF_LEN (APP_RX_DATA_SIZE)

/* Function Prototypes */
void term_prompt();
void term_poll();
void term_rx(char *buf, uint32_t len);
int32_t term_printf(const char *fmt, ...);

#endif /* TERMINAL_H_ */
